Tp::Client::DebugInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::DebugInterface Class Reference

`#include <TelepathyQt/DebugReceiver>`

Inherits Tp::AbstractInterface.

## Public Slots
QDBusPendingReply < Tp::DebugMessageList > | GetMessages (int timeout=-1)

## Signals
void | NewDebugMessage (double time, const QString &domain, uint level, const QString &message)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| DebugInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| DebugInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| DebugInterface (Tp::DBusProxy *proxy)
Tp::PendingVariant * | requestPropertyEnabled () const
Tp::PendingOperation * | setPropertyEnabled (bool newValue)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Debug".

## Constructor & Destructor Documentation

Tp::Client::DebugInterface::DebugInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a DebugInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DebugInterface::DebugInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a DebugInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DebugInterface::DebugInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a DebugInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## Member Function Documentation

static QLatin1String Tp::Client::DebugInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Debug", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::DebugInterface::requestPropertyEnabled | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `Enabled` of type `bool`.

TRUE if the NewDebugMessage signal should be emitted when a new debug message is generated.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::DebugInterface::setPropertyEnabled | ( | bool | newValue | ) |
| inline

Asynchronous setter for the remote object property `Enabled` of type `bool`.

TRUE if the NewDebugMessage signal should be emitted when a new debug message is generated.

Returns
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariantMap* Tp::Client::DebugInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<Tp::DebugMessageList> Tp::Client::DebugInterface::GetMessages | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `GetMessages` on the remote object.

Retrieve buffered debug messages. An implementation could have a limit on how many message it keeps and so the array returned from this method should not be assumed to be all of the messages in the lifetime of the service.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

Returns

      A list of debug messages.

void Tp::Client::DebugInterface::NewDebugMessage | ( | double | time,
|  | const QString & | domain,
|  | uint | level,
|  | const QString & | message
| ) |  |
| signal

Represents the signal `NewDebugMessage` on the remote object.

Emitted when a debug messages is generated if the Enabled property is set to TRUE.

Parameters

  time |
      Timestamp of the debug message.
  domain |
      Domain of the debug message, as described in the Debug_Message
      struct.
  level |
      Level of the debug message.
  message |
      The text of the debug message.

void Tp::Client::DebugInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.